This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 626858 - Policy updates needed for newer HPLIP package
Policy updates needed for newer HPLIP package
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks: 506645
  Show dependency treegraph
 
Reported: 2010-08-24 11:03 EDT by Tim Waugh
Modified: 2012-10-04 08:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The SELinux policy has been updated to reflect the latest changes in the hplip (Hewlett-Packard Linux Imaging and Printing Project) packages.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:50:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
selinux-policy-hplip3.patch (1.84 KB, patch)
2010-08-24 11:03 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2010-08-24 11:03:37 EDT
Created attachment 440682 [details]
selinux-policy-hplip3.patch

Description of problem:
I am investigating refreshing the hplip package in Red Hat Enterprise Linux 5.  In order for it to work correctly the selinux-policy needs updating to include some parts from Red Hat Enterprise Linux 6.

One path also needs slightly modifying to take account of the fact that the newer hplip package in Red Hat Enterprise Linux 5 will be a parallel install package (i.e. hplip3, with '3' added to paths and filenames).

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-279.el5

Patch attached.
Comment 3 Miroslav Grepl 2010-09-09 08:48:41 EDT
Fixed in selinux-policy-2.4.6-283.el5.noarch
Comment 4 Tim Waugh 2010-09-14 07:37:47 EDT
How to test:

With new hplip3 package set installed (including hpijs3):

1. Create a new queue for a locally connected printer
2. Print a job to it

There should be no SELinux AVC denials.
Comment 9 Jaromir Hradilek 2011-01-05 11:19:30 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The SELinux policy has been updated to reflect the latest changes in the hplip (Hewlett-Packard Linux Imaging and Printing Project) packages.
Comment 11 errata-xmlrpc 2011-01-13 16:50:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0026.html

Note You need to log in before you can comment on or make changes to this bug.